Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.workflow
Interface Transition

All Known Implementing Classes:
  TransitionImpl

public interface Transition
extends Belonging

A named transition from one `theory.smart.axiom.State state` to another state. The name is generally considered to represent an event. This class is used by the Businsess Smart Workflow generator.

                      startState
     [Transition] <*>------> [theory.smart.axiom.workflow.State]

                      endState
     [Transition] <*>------> [theory.smart.axiom.workflow.State]

                      name
     [Transition] <*>------> [String]

See Also:
  `TransitionHome`, `TransitionImpl`

Method Summary
`State` | `getEndState()` Get the value of endState
`java.lang.String` | `getName()` Get the value of name
`State` | `getStartState()` Get the value of startState
`void` | `setEndState(State endState)` Set the value of endState
`void` | `setName(java.lang.String name)` Set the value of name
`void` | `setStartState(State startState)` Set the value of startState

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getStartState

    public State getStartState()

  Get the value of startState
  Returns:
    startState.

### setStartState

    public void setStartState(State startState)

  Set the value of startState
  Parameters:
    `startStates` - startState to be added

### getEndState

    public State getEndState()

  Get the value of endState
  Returns:
    endState.

### setEndState

    public void setEndState(State endState)

  Set the value of endState
  Parameters:
    `endStates` - endState to be added

### getName

    public java.lang.String getName()

  Get the value of name
  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name
  Parameters:
    `names` - name to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.